Package org.springframework.expression

# Interface TypeLocator

All Known Implementing Classes:
  `StandardTypeLocator`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface TypeLocator
Implementers of this interface are expected to be able to locate types.

They may use a custom `ClassLoader` and/or deal with common package prefixes (for example, `java.lang`) however they wish.

See `StandardTypeLocator` for an example implementation.

Since:
  3.0
Author:
  Andy Clement

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`findType(String typeName)`
Find a type by name.

## Method Details

### findType

Class<?> findType(String typeName) throws EvaluationException
Find a type by name.

The name may or may not be fully qualified — for example, `String` or `java.lang.String`.

Parameters:
  `typeName` - the type to be located
Returns:
  the `Class` object representing that type
Throws:
  `EvaluationException` - if there is a problem finding the type